// Media of at most the maximum breakpoint width. No query for the largest breakpoint.
// Makes the @content apply to the given breakpoint and narrower.
@mixin media-breakpoint-down($name, $breakpoints: $grid-breakpoints) {
  $max: breakpoint-max($name, $breakpoints);
  @if $max {
    @media (max-width: $max) {
      @content;
    }
  } @else {
    @content;
  }
}


// Name of the next breakpoint, or null for the last breakpoint.
//
//    >> breakpoint-next(sm)
//    md
//    >> breakpoint-next(sm, (xs: 0, sm: 576px, md: 768px, lg: 992px, xl: 1200px))
//    md
//    >> breakpoint-next(sm, $breakpoint-names: (xs sm md lg xl))
//    md
@function breakpoint-next($name, $breakpoints: $grid-breakpoints, $breakpoint-names: map-keys($breakpoints)) {
  $n: index($breakpoint-names, $name);
  @return if($n < length($breakpoint-names), nth($breakpoint-names, $n + 1), null);
}


// Maximum breakpoint width. Null for the largest (last) breakpoint.
// The maximum value is calculated as the minimum of the next one less 0.1.
//
//    >> breakpoint-max(sm, (xs: 0, sm: 576px, md: 768px, lg: 992px, xl: 1200px))
//    767px
@function breakpoint-max($name, $breakpoints: $grid-breakpoints) {
  $next: breakpoint-next($name, $breakpoints);
  @return if($next, breakpoint-min($next, $breakpoints) - 1px, null);
}


// Creates text alignment classes based on screen size
// TODO this would be nice to add to the framework
@each $breakpoint in map-keys($grid-breakpoints) {
  $infix: breakpoint-infix($breakpoint, $grid-breakpoints);

  @include media-breakpoint-up($breakpoint, $grid-breakpoints) {
    // Provide text `[text-{bp}]` attributes for aligning text based on screen size
    [text#{$infix}-center] {
      text-align: center;
    }

    [text#{$infix}-left] {
      text-align: left;
    }

    [text#{$infix}-right] {
      text-align: right;
    }

    [hidden#{$infix}-up] {
      display: none;
    }
  }

  @include media-breakpoint-down($breakpoint, $grid-breakpoints) {
    [hidden#{$infix}-down] {
      display: none;
    }
  }
}

.list-menu{
  background-color: #42c7f2;
}

.menu{
  background-color: #42c7f2;
  color: white;
  font-size: 13px;
  font-weight: bold;
  margin: 0;padding: 0;
  border-bottom: 1px solid rgba(255, 255, 255, 0.308);
}

.menu-child{
  background-color: #5cd4fb;
  color: white;
  font-size: 13px;
  font-weight: bold;
  margin: 0;padding: 0;
  border-bottom: 1px solid rgba(255, 255, 255, 0.308);
}

.menu:active{
  background-color: #41A9E1;
  color: white;
}

.menu::after{
  background-color: #41A9E1;
  color: white;
}

.menu-child:active{
  background-color: #41A9E1;
  color: white;
}

.menu-child::after{
  background-color: #41A9E1;
  color: white;
}

.main-menu{
  padding-left: 16px;
}

.sub-menu{
  padding-left: 38px;
}

.input.comment[type=text] {
  border: 1px solid white;
  border-radius: 5px;
  position: absolute;
  width: 100%;
}

.not-login-footer {
  height: 157px;
}

.border-bottom-input{
  border-bottom: 1px solid lightgray;
}

ion-buttons button[icon-only].my-style-for-modal {
  margin: 0 6px;
  min-width: 36px;
}


.toastExit {
    .toast-wrapper {
        transform: translateY(100%) !important;
    }
	.toast-container{
text-align: center;
}
}
